Package net.snowflake.client.core

## Class HttpUtil.HttpInputStream

- java.lang.Object
- - java.io.InputStream
  - - net.snowflake.client.core.HttpUtil.HttpInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  HttpUtil

    public static final class HttpUtil.HttpInputStream
    extends InputStream

### Constructor Summary

Constructors
`HttpInputStream​(InputStream httpIn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`void` `mark​(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read​(byte[] b)`
`int` `read​(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip​(long n)`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpInputStream

    public HttpInputStream​(InputStream httpIn)

### Method Detail

#### available

    public final int available()
                        throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### read

    public final int read()
                   throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public final int read​(byte[] b)
                   throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public final int read​(byte[] b,
                          int off,
                          int len)
                   throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### skip

    public final long skip​(long n)
                    throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

#### close

    public final void close()
                     throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### mark

    public void mark​(int readlimit)

Overrides:
  `mark` in class `InputStream`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

#### markSupported

    public final boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`